---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgf06t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x44C0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x517A0, symBinAddr: 0xC5E0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x536E0, symBinAddr: 0xE520, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53AD0, symBinAddr: 0xE910, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54A70, symBinAddr: 0xF8B0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54A80, symBinAddr: 0xF8C0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51010, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51014, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51018, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51170, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x51228, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5122C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x51230, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x51234, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x51238, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51240, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x51250, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51258, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51260, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51268, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51270, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51278, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x512C0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x951F, offset: 0x951F, size: 0x8, addend: 0x0, symName: __ZL11storageData, symObjAddr: 0x51302, symBinAddr: 0xC1D2, symSize: 0x0 }
  - { offsetInCU: 0x9538, offset: 0x9538, size: 0x8, addend: 0x0, symName: __ZL7jvmti_2, symObjAddr: 0x512C8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x958A, offset: 0x958A, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3160, symSize: 0x80 }
  - { offsetInCU: 0x961F, offset: 0x961F, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x30B0, symSize: 0xB0 }
  - { offsetInCU: 0x967A, offset: 0x967A, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2FB0, symSize: 0x100 }
  - { offsetInCU: 0x990D, offset: 0x990D, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x31E0, symSize: 0xC0 }
  - { offsetInCU: 0x995F, offset: 0x995F, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x32A0, symSize: 0x220 }
  - { offsetInCU: 0x9B44, offset: 0x9B44, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x34C0, symSize: 0xA0 }
  - { offsetInCU: 0x9BF7, offset: 0x9BF7, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3560, symSize: 0x110 }
  - { offsetInCU: 0x9CED, offset: 0x9CED, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3670, symSize: 0x150 }
  - { offsetInCU: 0x9E4A, offset: 0x9E4A, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x37C0, symSize: 0x30 }
  - { offsetInCU: 0x9F0B, offset: 0x9F0B, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x37F0, symSize: 0x150 }
  - { offsetInCU: 0xA103, offset: 0xA103, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3940, symSize: 0x160 }
  - { offsetInCU: 0xA3C3, offset: 0xA3C3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3AA0, symSize: 0x4A0 }
  - { offsetInCU: 0xA636, offset: 0xA636, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3F40, symSize: 0x1B0 }
  - { offsetInCU: 0xA851, offset: 0xA851, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x40F0, symSize: 0xA0 }
  - { offsetInCU: 0xA920, offset: 0xA920, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4190, symSize: 0x20 }
  - { offsetInCU: 0xA957, offset: 0xA957, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x41B0, symSize: 0x20 }
  - { offsetInCU: 0xA98E, offset: 0xA98E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x41D0, symSize: 0x20 }
  - { offsetInCU: 0xAAFD, offset: 0xAAFD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x41F0, symSize: 0x1A0 }
  - { offsetInCU: 0xAE19, offset: 0xAE19, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x4390, symSize: 0x130 }
  - { offsetInCU: 0xAFC9, offset: 0xAFC9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4730, symSize: 0x1B0 }
  - { offsetInCU: 0xB2B8, offset: 0xB2B8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x48E0, symSize: 0x80 }
  - { offsetInCU: 0xB381, offset: 0xB381, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4960, symSize: 0x6A0 }
  - { offsetInCU: 0xBF16, offset: 0xBF16, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA0F0, symBinAddr: 0x5B90, symSize: 0xB0 }
  - { offsetInCU: 0xBF8D, offset: 0xBF8D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5000, symSize: 0x70 }
  - { offsetInCU: 0xC029, offset: 0xC029, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5070, symSize: 0xA0 }
  - { offsetInCU: 0xC134, offset: 0xC134, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5110, symSize: 0x40 }
  - { offsetInCU: 0xC22A, offset: 0xC22A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5150, symSize: 0x2B0 }
  - { offsetInCU: 0xC5D0, offset: 0xC5D0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5400, symSize: 0xC0 }
  - { offsetInCU: 0xC716, offset: 0xC716, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x54C0, symSize: 0x10 }
  - { offsetInCU: 0xC7D8, offset: 0xC7D8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x54D0, symSize: 0x220 }
  - { offsetInCU: 0xCAD5, offset: 0xCAD5, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x56F0, symSize: 0x10 }
  - { offsetInCU: 0xCB32, offset: 0xCB32, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5700, symSize: 0x480 }
  - { offsetInCU: 0xD127, offset: 0xD127, size: 0x8, addend: 0x0, symName: __ZL15checkEnvStorageP9_jvmtiEnvPKc, symObjAddr: 0xA280, symBinAddr: 0x5D20, symSize: 0x100 }
  - { offsetInCU: 0xD24E, offset: 0xD24E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA090, symBinAddr: 0x5B80, symSize: 0x10 }
  - { offsetInCU: 0xD2CE, offset: 0xD2CE, size: 0x8, addend: 0x0, symName: _callbackVMInit, symObjAddr: 0xA1A0, symBinAddr: 0x5C40, symSize: 0xE0 }
  - { offsetInCU: 0xD412, offset: 0xD412, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA380, symBinAddr: 0x5E20, symSize: 0xA0 }
  - { offsetInCU: 0xD4CE, offset: 0xD4CE, size: 0x8, addend: 0x0, symName: _callbackVMDeath, symObjAddr: 0xA420, symBinAddr: 0x5EC0, symSize: 0x1C0 }
  - { offsetInCU: 0xD70B, offset: 0xD70B, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA5E0, symBinAddr: 0x6080, symSize: 0x36A }
...
